=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gpac-$1\.tar\.gz/ \
  https://github.com/gpac/gpac/tags .*/v?(\d\S+)\.tar\.gz
